/*
Theme Name: Twentyseventeen child
Template: twentyseventeen
*/
@import url('../twentyseventeen/style.css');

/*------------------child default part-------------------*/

body {
    font-family: roboto;
    font-size: 1.1rem !important;

}

/* root styles */
:root {
    --main-lightblue-color: rgba(105, 150, 210, 1); /* custom #6996D2 */
    --main-lightblue-color-trans: rgba(105, 150, 210, 0.9); /* custom #6996D2 */
    --main-lighterblue-color: rgb(239, 243, 250, 1.0); /* custom */
    /*--main-lightblue-color: rgba(83, 144, 217, 1); !* button '/*/
    --main-orange-color: #ff9900;
    --main-white-color: #ffffff;
    /*vorlage Button blau rgb(83,144,218)*/
}

/* latin */
@font-face {
    font-family: 'Roboto';
    font-style: normal;
    font-weight: normal;
    font-size: 1rem;
    font-stretch: 100%;
    font-display: swap;
    src: url(https://fonts.gstatic.com/s/roboto/v49/KFO7CnqEu92Fr1ME7kSn66aGLdTylUAMa3yUBHMdazQ.woff2) format('woff2');
    unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+0304, U+0308, U+0329, U+2000-206F, U+20AC, U+2122, U+2191, U+2193, U+2212, U+2215, U+FEFF, U+FFFD;
}

/*hide active focus */
a:focus {
    outline: 0px dashed var(--main-white-color);
}

/*wider layout*/
/*@media screen and (min-width: 48em) {*/
/*    .wrap {*/
/*        max-width: 1240px;*/
/*        padding-left: 3em;*/
/*        padding-right: 3em;*/
/*        border: 1px solid red;*/
/*    }*/
/*}*/

/* shrink header */
.twentyseventeen-front-page.has-header-image .custom-header {
    height: 400px;
}

.site-title {
    padding-top: 5px !important;
}

.site-title a {
    color: var(--main-white-color);
}

.site-branding-text .site-title {
    font-size: 1em;
    font-weight: normal;
}

.custom-logo-link img {
    max-height: 200px;
}

body.page:not(.twentyseventeen-front-page) .entry-title {
    color: #222;
    font-size: 14px;
    font-size: 1.875rem;
    font-weight: 400;
    letter-spacing: unset;
    text-transform: none;
}

/*scale text to layout*/
@media screen and (min-width: 967px) {
    .site-branding-text .site-title {
        font-size: 1.5em;
        text-transform: unset;
    }
}

/*navigation customizing*/
.navigation-top {
    background: var(--main-lightblue-color);
    border: none;
}

.navigation-top a {
    font-weight: 400;
    font-size: 1.1rem;
}

article:nth-of-type(even) {
    /*background: aliceblue;*/
    background: var(--main-lighterblue-color);
}

@media screen and (min-width: 48em) {
    .panel-content .wrap {
        padding-bottom: 2em;
        padding-top: 0em;
    }
}

.main-navigation ul ul {
    background: var(--main-lightblue-color);
}

.navigation-top .current-menu-item > a {
    color: white;
}

/* desktop only  view */

@media screen and (min-width: 480px) {
    /* set header background */
    .site-branding {
        background: url(/wp-content/themes/twentyseventeen-child/assets/img/layout-1.jpg) no-repeat;
        /*background-position: -200px 0;*/
        background-position: -600px -400px;
        padding-top: 0;
        /*background-size: cover;*/
    }
}

@media screen and (min-width: 48em) {

    .navigation-top {
        /*background: var(--main-lightblue-color);*/
        /*background: linear-gradient(180deg, var(--main-lightblue-color) 20%, var(--main-lightblue-color) 90%, rgba(105, 150, 210, 0.8) 100%);*!*/
        /*background: rgba(105, 150, 210, 0.95);*/
        background: url(/wp-content/themes/twentyseventeen-child/assets/img/bg-nav.jpg);
        background-size:cover;
        padding-bottom: 10px;
        padding-top: 10px;
    }

    .navigation-top a:hover, .navigation-top a:active, navigation-top .current-menu-item > a, .navigation-top .current_page_item > a {
        color: white;
    }

    .main-navigation li li:hover {
        background-color: var(--main-lightblue-color);
    }

    /*!*  show logo in menu bar*!*/
    .site-navigation-fixed .wrap {
        background: url(/wp-content/themes/twentyseventeen-child/assets/img/logo-nav.png) no-repeat;
        background-position: 40px 15px;
        background-size: 180px auto;
        padding-left: 200px;
    }

    .menu-hauptmenu-container {
        padding-left: 50px;
    }

    .page-one-column .panel-content .wrap {
        max-width: 1240px;
    }

    .custom-logo-link img {
        margin-left: 50px;
    }

    /*Elementor fixes*/
    .wrap {
        max-width: 1240px;
    }
}

/*mobile view*/
@media only screen and (max-width: 480px) {

    /* set header background */
    .site-branding {
        background: url(/wp-content/themes/twentyseventeen-child/assets/img/bg-weser.jpg) no-repeat;
        background-position: -300px 0px;
        background-size: 800px auto;
        padding-top: 0;
    }

    .twentyseventeen-front-page.has-header-image .custom-header {
        height: 200px;
    }

    .site-branding-text {
        margin-left: 2em;
    }

    .site-branding h1 {
        font-size: 0.8em;
        text-transform: unset;
        font-weight: normal;
    }

    .has-x-large-font-size {
        font-size: 1.6em !important;
    }

    .menu-toggle {
        margin: 0 auto 2px;
    }

    .menu-toggle:focus {
        outline: none;
    }

    :not( .mejs-button ) > button:hover,
    :not( .mejs-button ) > button:focus {
        background: var(--main-lightblue-color) !important;
    }

    .menu-toggle:focus {
        outline: none;
    }

    .main-navigation ul {
        background: var(--main-lightblue-color);
        list-style: none;
        margin: 0;
        padding: 0 1.5em;
        text-align: left;
    }

    .main-navigation > div > ul {
        border-top: none;
    }

    .main-navigation ul li {
        border-bottom: none;
    }

    .navigation-top .current-menu-item > a,
    .navigation-top .current_page_item > a {
        color: white;
    }

    .main-navigation a:hover {
        color: white;
    }

}

/* slogan colors */
p.has-x-large-font-size {
    margin: 0 0 0.5em 0;
    line-height: 1.25em;
}

.slogan-b {
    color: var(--main-lightblue-color);
}

.slogan-y {
    color: var(--main-orange-color);
}

/*subpages*/
.page.page-one-column:not(.twentyseventeen-front-page) #primary {
    max-width: 1240px !important;
}

.sp-padding {
    padding: 30px;
}

/*footer*/
.site-footer {
    background: url(/wp-content/themes/twentyseventeen-child/assets/img/bg-weser.jpg);
    background-position: left -900px;
    font-size: 1rem;
}

.site-footer .footer-bg-img {
    background: var(--main-lightblue-color-trans);
}

figcaption {
    font-size: 1em !important;
    font-style: normal !important;
    min-height: 3em;
}

/*wp-forms*/
div.wpforms-container-full .wpforms-confirmation-container-full {
    background: var(--main-lightblue-color) !important;
    font-size: 1.5em;
}

/* Breadcrumb */
.breadcrumb {
    background-color: unset;
    font-size: 0.8em;
}

@media (max-width: 992px) {
    .breadcrumb {
        /*display: none;*/
    }
}

.site-content {
    padding: 1em 0 0;
}

.post-450 .panel-content {
    background: url(/wp-content/themes/twentyseventeen-child/assets/img/people-1.png) no-repeat;
    background-position: center bottom;
}

a#scroll-to-top {
    background: url(/wp-content/plugins/jgm-custom/img/arrow-blue.png) no-repeat center center;
    width: 35px;
    height: 35px;
    position: fixed;
    right: 30px;
    bottom: 30px;
    text-indent: -9999px;
    font-size: 0;
    cursor: pointer;
    outline: 0;
    z-index: 1000;
}

/*format news overview */
div.singlenews {
    /*border-right: 1px solid #000;*/
    /*max-width: 80%;*/
    /*min-height: 500px;*/
    background: var(--main-lighterblue-color);
    border-bottom: 10px solid white;
    padding: 1em;
}

div.singlenews .wp-block-latest-posts__featured-image {
    background-size: cover;
    height: 200px;
}

/*div.singlenews .wp-block-latest-posts__featured-image .votecross {*/
/*    margin-top: 100px;*/
/*}*/

div.container {
    padding: 0px !important;
}

@media only screen and (max-width: 768px) {
    div.news {
        max-width: unset;
    }
}

p.n-date {
    font-size: 0.8em;
}

/*div.news :nth-of-type(even) {*/
/*    border: 1px solid red;*/
/*}*/

h1:first-child {
    font-size: 30px;
    font-size: 1.875rem;
    padding: 1.5em 0 0;
}

.wp-block-latest-posts__featured-image img {
    height: auto;
    width: 200px;
}

/*mitmachen teaser*/
.mitmachen-1, .mitmachen-2, .mitmachen-3 {
    margin: 0 0 0;
}

.mitmachen-3 {
    margin: 1px auto !important;
    /*background: url(/wp-content/themes/twentyseventeen-child/assets/img/people-1.png) no-repeat!important;*/
    /*background-position: center -30px!important;*/
}

/*vorstand / mitmachen teaser*/

.v-teaser figcaption {
    color: black !important;
}

.v-teaser figcaption strong {
    color: white !important;
}

.v-teaser .slogan-b, .v-teaser .slogan-y {
    font-size: 0.9em !important;
}

@media only screen and (min-width: 480px) {
    .v-teaser figcaption {
        font-size: 0.8em !important;
    }

    .v-teaser figcaption strong {
        font-size: 1em !important;
        font-weight: 800;
    }
}

@media only screen and (max-width: 480px) {
    .text-no-padding {
        padding: 0 0 0 0 !important;
        margin: 0 0 0 0 !important;
    }

    .v-teaser .wpforms-container {
        padding: 0 !important;
        margin: 0 !important;
    }

    :where(.wp-block-columns.is-layout-flex) {
        gap: 0 !important;
    }

    .b-margin-bottom {
        margin-bottom: 5px !important;
    }

    .wp-block-button .wp-block-button__link {
        margin-top: 0px !important;
    }
}

/*Buttons*/
.wpforms-submit, .wp-block-button__link {
    background-color: #5390da !important;
    border-radius: 5px;
    font-size: 1rem !important;
}

@media only screen and (max-width: 480px) {
    input {
        font-size: 0.6em !important;
    }
}

/*tablet break fix*/
@media (min-width: 770px) and (max-width: 1196px) {
    .v-teaser figcaption {
        font-size: 0.5em !important;
    }

    .v-teaser .slogan-b, .v-teaser .slogan-y {
        font-size: 0.7em !important;
    }
}

@media (min-width: 770px) and (max-width: 942px) {
    .v-teaser figcaption {
        font-size: 0.3em !important;
    }

    .v-teaser .slogan-b, .v-teaser .slogan-y {
        font-size: 0.5em !important;
    }
}

/*@media (max-width: 782px) {*/
/*    .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {*/
/*        flex-basis: unset!important;*/
/*        flex-grow: unset!important;*/
/*    }*/
/*}*/

/*@media (max-width: 1179px) {*/
/*    .wp-block-columns:not(.is-not-stacked-on-mobile)>.wp-block-column {*/
/*        flex-basis: 0;*/
/*        flex-grow: 1;*/
/*    }*/
/*}*/

/*suche*/

.wp-block-search__button {
    background-color: #6996D2 !important;
}

/*gwolle forum*/
.page-id-734 .site-content {
    background: url("https://fwg-wesertal.de/wp-content/uploads/2025/11/meckern.jpeg") repeat-x;
    background-color: rgba(255, 255, 255, 0.8);
    background-blend-mode: lighten;
    background-position: -200px top;
    background-size: 400px auto;

}

.post-734 button, input[type="button"] {
    background-color: #6996D2 !important;
    font-weight: normal;
}

/*float menu custom icon*/
a.goat .fm-icon, .fm-item {
    background: url(/wp-content/themes/twentyseventeen-child/assets/img/goat-icon.png) no-repeat;
    background-size: 33px auto;
    background-position: 7px center;
    background-color: #184c72 !important;
}

/*Foto Slider*/
/*first slider*/
.wp-block-image .wp-element-caption{
    font-size: 1em !important;
}

@media (max-width: 480px) {
    .wp-block-image .wp-element-caption {
        font-size: 0.6em !important;
    }
}

.wp-block-cb-carousel-v2 .wp-block-image img {
    border: 1px solid #ccc;
}

/*second slider*/
/*move text to bottom*/
.wp-block-cover .wp-block-cover__inner-container, .wp-block-cover-image .wp-block-cover__inner-container {
    margin-top: 340px;
}

.wp-block-cover .wp-block-cover__inner-container p.has-large-font-size {
    font-size: 0.8em!important;
}